From c752a1bf496c2258564d3bb9816ce1a8e9151757 Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Sun, 14 Jul 2019 23:49:51 +0300
Subject: [PATCH 1/6] New package: python3-tinycss2-1.0.2

---
 srcpkgs/python3-tinycss2/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-tinycss2/template

diff --git a/srcpkgs/python3-tinycss2/template b/srcpkgs/python3-tinycss2/template
new file mode 100644
index 00000000000..b53538f99ec
--- /dev/null
+++ b/srcpkgs/python3-tinycss2/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-tinycss2'
+pkgname=python3-tinycss2
+version=1.0.2
+revision=1
+archs=noarch
+wrksrc="tinycss2-${version}"
+build_style=python3-module
+pycompile_module="tinycss2"
+hostmakedepends="python3-setuptools"
+depends="python3-webencodings"
+short_desc="Low-level CSS parser for Python"
+maintainer="Alexander I.Grafov <grafov@gmail.com>"
+license="3-clause-BSD"
+homepage="https://github.com/Kozea/tinycss2"
+distfiles="${PYPI_SITE}/t/tinycss2/tinycss2-${version}.tar.gz"
+checksum=6427d0e3faa0a5e0e8c9f6437e2de26148a7a197a8b0992789f23d9a802788cf
+
+post_install() {
+	vlicense LICENSE
+}

From 4aa19618e02a1a3eb0a03e810f6ae483d6c649bc Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Sun, 14 Jul 2019 23:50:11 +0300
Subject: [PATCH 2/6] New package: python3-cssselect2-0.2.1

---
 srcpkgs/python3-cssselect2/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/python3-cssselect2/template

diff --git a/srcpkgs/python3-cssselect2/template b/srcpkgs/python3-cssselect2/template
new file mode 100644
index 00000000000..c31e816e568
--- /dev/null
+++ b/srcpkgs/python3-cssselect2/template
@@ -0,0 +1,15 @@
+# Template file for 'python3-cssselect2'
+pkgname=python3-cssselect2
+version=0.2.1
+revision=1
+archs=noarch
+wrksrc="cssselect2-${version}"
+build_style=python3-module
+pycompile_module="cssselect2"
+hostmakedepends="python3-setuptools"
+short_desc="CSS selectors for Python3 ElementTree"
+maintainer="Alexander I.Grafov <grafov@gmail.com>"
+homepage="https://github.com/Kozea/cssselect2"
+license="3-clause-BSD"
+distfiles="${PYPI_SITE}/c/cssselect2/cssselect2-${version}.tar.gz"
+checksum=505d2ce3d3a1d390ddb52f7d0864b7efeb115a5b852a91861b498b92424503ab

From 09668af644ce9c0fffed6e4e326fcc56f902b8d4 Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Sun, 14 Jul 2019 23:50:32 +0300
Subject: [PATCH 3/6] New package: python3-cairosvg-2.4.0

---
 srcpkgs/python3-cairosvg/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-cairosvg/template

diff --git a/srcpkgs/python3-cairosvg/template b/srcpkgs/python3-cairosvg/template
new file mode 100644
index 00000000000..acd92122e91
--- /dev/null
+++ b/srcpkgs/python3-cairosvg/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-cairosvg'
+pkgname=python3-cairosvg
+version=2.4.0
+revision=1
+archs=noarch
+wrksrc="CairoSVG-${version}"
+build_style=python3-module
+pycompile_module="cairosvg"
+hostmakedepends="python3-setuptools"
+depends="python3-cairocffi python3-Pillow python3-defusedxml"
+short_desc="Python3 simple SVG converter based on Cairo"
+maintainer="Alexander I.Grafov <grafov@gmail.com>"
+license="LGPL-3.0-or-later"
+homepage="https://cairosvg.org/"
+distfiles="${PYPI_SITE}/C/CairoSVG/CairoSVG-${version}.tar.gz"
+checksum=d2600925a1f5bd2a119b9fb6e1d9f979f2ef71fc6055d8cb49c75b8e90f6d679

From 2cbaf5bbb0c24acf434a44e42aca41d0076c2362 Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Sun, 14 Jul 2019 23:50:36 +0300
Subject: [PATCH 4/6] New package: python3-pyphen-0.9.5

---
 srcpkgs/python3-pyphen/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/python3-pyphen/template

diff --git a/srcpkgs/python3-pyphen/template b/srcpkgs/python3-pyphen/template
new file mode 100644
index 00000000000..a09fa6e53cf
--- /dev/null
+++ b/srcpkgs/python3-pyphen/template
@@ -0,0 +1,15 @@
+# Template file for 'python3-pyphen'
+pkgname=python3-pyphen
+version=0.9.5
+revision=1
+archs=noarch
+wrksrc="Pyphen-${version}"
+build_style=python3-module
+pycompile_module="pyphen"
+hostmakedepends="python3-setuptools"
+short_desc="Hyphenation in pure Python library for Python3"
+maintainer="Alexander I.Grafov <grafov@gmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://github.com/Kozea/Pyphen"
+distfiles="${PYPI_SITE}/P/Pyphen/Pyphen-${version}.tar.gz"
+checksum=3b633a50873156d777e1f1075ba4d8e96a6ad0a3ca42aa3ea9a6259f93f18921

From b64483ff5d54f2c1aac1bcaa0c646d513590d3dd Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Sun, 14 Jul 2019 23:50:40 +0300
Subject: [PATCH 5/6] New package: python3-weasyprint-48

---
 srcpkgs/python3-weasyprint/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-weasyprint/template

diff --git a/srcpkgs/python3-weasyprint/template b/srcpkgs/python3-weasyprint/template
new file mode 100644
index 00000000000..65194516e4f
--- /dev/null
+++ b/srcpkgs/python3-weasyprint/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-weasyprint'
+pkgname=python3-weasyprint
+version=48
+revision=1
+archs=noarch
+wrksrc="WeasyPrint-${version}"
+build_style=python3-module
+pycompile_module="weasyprint"
+hostmakedepends="python3-setuptools"
+depends="python3-cffi python3-html5lib python3-cssselect2 python3-pyphen python3-cairosvg python3-tinycss2"
+short_desc="Gorgeous document factory library for Python3"
+maintainer="Alexander I.Grafov <grafov@gmail.com>"
+license="3-clause-BSD"
+homepage="https://weasyprint.org"
+distfiles="${PYPI_SITE}/W/WeasyPrint/WeasyPrint-${version}.tar.gz"
+checksum=d847eb4987c1d3251ec0a56e57c753f6d1f1f8894a15707f9ababced21e65bd0
+
+post_install() {
+	vlicense LICENSE
+}

From 814921b528ae0ad01cf53a0cabb1473af769355b Mon Sep 17 00:00:00 2001
From: "Alexander I.Grafov" <grafov@gmail.com>
Date: Thu, 18 Jul 2019 19:05:49 +0300
Subject: [PATCH 6/6] Fix xlint issues for Python3 cssselect2 package

---
 srcpkgs/python3-cssselect2/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/python3-cssselect2/template b/srcpkgs/python3-cssselect2/template
index c31e816e568..0fe5422abbb 100644
--- a/srcpkgs/python3-cssselect2/template
+++ b/srcpkgs/python3-cssselect2/template
@@ -9,7 +9,11 @@ pycompile_module="cssselect2"
 hostmakedepends="python3-setuptools"
 short_desc="CSS selectors for Python3 ElementTree"
 maintainer="Alexander I.Grafov <grafov@gmail.com>"
-homepage="https://github.com/Kozea/cssselect2"
 license="3-clause-BSD"
+homepage="https://github.com/Kozea/cssselect2"
 distfiles="${PYPI_SITE}/c/cssselect2/cssselect2-${version}.tar.gz"
 checksum=505d2ce3d3a1d390ddb52f7d0864b7efeb115a5b852a91861b498b92424503ab
+
+post_install() {
+	vlicense LICENSE
+}
